//Source file: CallAbortedEvent.java
//Date: December 2004
//Generic Call Control Interfaces for 3GPP TS 29.198-04-2 V6.3.0

package org.csapi.jr.se.cc.gccs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the callAborted() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class CallAbortedEvent extends java.util.EventObject {

    /**
     * Constructor for the CallAbortedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public CallAbortedEvent(java.lang.Object source,
        org.csapi.jr.se.cc.gccs.Call call) {

        super(source);
        this.call = call;
 
    }

    org.csapi.jr.se.cc.gccs.Call call = null;

    /**
     *  This method is used to retrieve a reference to the Call associated
     *  with this event.
     *
     * @return    A reference to the Call associated with this event.
     */
    public Call getCall() {

        return this.call;
    }

}

