//Source file: CallControlManagerListener.java
//Date: December 2004
//Generic Call Control Interfaces for 3GPP TS 29.198-04-2 V6.3.0

package org.csapi.jr.se.cc.gccs;

/**
 * This interface is to be implemented for receiving events issued by the CallControlManager service object.<BR>
 *
 */
public interface CallControlManagerListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the callAborted() method on 
    * the callback interface.
    *
    * @param  callAbortedEvent  Reference to a CallAbortedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onCallAbortedEvent(org.csapi.jr.se.cc.gccs.CallAbortedEvent callAbortedEvent);



   /**
    * Called due to a Gateway initiated call to the callNotificationInterrupted() method on 
    * the callback interface.
    *
    * @param  callNotificationInterruptedEvent  Reference to a CallNotificationInterruptedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onCallNotificationInterruptedEvent(org.csapi.jr.se.cc.gccs.CallNotificationInterruptedEvent callNotificationInterruptedEvent);


   /**
    * Called due to a Gateway initiated call to the callNotificationContinued() method on 
    * the callback interface.
    *
    * @param  callNotificationContinuedEvent  Reference to a CallNotificationContinuedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onCallNotificationContinuedEvent(org.csapi.jr.se.cc.gccs.CallNotificationContinuedEvent callNotificationContinuedEvent);




   /**
    * Called due to a Gateway initiated call to the abortMultipleCalls() method on 
    * the callback interface.
    *
    * @param  abortMultipleCallsEvent  Reference to a AbortMultipleCallsEvent event 
    *        emmited from the impl or activity object. 
    */
    void onAbortMultipleCallsEvent(org.csapi.jr.se.cc.gccs.AbortMultipleCallsEvent abortMultipleCallsEvent);

}

